# Created by pyp2rpm-3.3.8
%global pypi_name hidapi

Name:           python-%{pypi_name}
Version:        0.14.0
Release:        %mkrel 3
Summary:        A Cython interface to the hidapi
Group:          Development/Python
License:        None
URL:            https://github.com/trezor/cython-hidapi
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(hidapi-libusb)

%description
Python wrapper for the HIDAPI

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python wrapper for the HIDAPI

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Build with system hidapi
rm -rf hidapi/

%build
%py3_build -- --with-system-hidapi

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE-bsd.txt LICENSE-gpl3.txt LICENSE-orig.txt LICENSE.txt
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/hid*.cpython-%{python3_version_nodots}-%{python3_platform_triplet}.so


%changelog
* Tue Jun 27 2023 wally <wally> 0.14.0-3.mga9
+ Revision: 1963204
- simplify .spec and build

* Mon Jun 26 2023 wally <wally> 0.14.0-2.mga9
+ Revision: 1963155
- build using system hidapi
- fix armv7 build

* Mon Jun 26 2023 kekepower <kekepower> 0.14.0-1.mga9
+ Revision: 1963085
- imported package python-hidapi

